Bug 2275228 - [abrt] gnome-shell: wl_map_lookup_flags(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: wl_map_lookup_flags(): gnome-shell killed by SIGSEGV
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 40
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: GNOME SIG Unassigned
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:dbc7bd18b25f2b59cc14fb6c368...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2024-04-16 07:05 UTC by Denys Konovalov
Modified: 2024-04-29 16:37 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---
Embargoed:


Attachments (Terms of Use)
File: proc_pid_status (1.49 KB, text/plain)
2024-04-16 07:05 UTC, Denys Konovalov
no flags Details
File: maps (3.98 KB, text/plain)
2024-04-16 07:05 UTC, Denys Konovalov
no flags Details
File: limits (1.29 KB, text/plain)
2024-04-16 07:05 UTC, Denys Konovalov
no flags Details
File: environ (1.39 KB, text/plain)
2024-04-16 07:05 UTC, Denys Konovalov
no flags Details
File: open_fds (16.14 KB, text/plain)
2024-04-16 07:05 UTC, Denys Konovalov
no flags Details
File: mountinfo (3.19 KB, text/plain)
2024-04-16 07:05 UTC, Denys Konovalov
no flags Details
File: os_info (756 bytes, text/plain)
2024-04-16 07:05 UTC, Denys Konovalov
no flags Details
File: cpuinfo (3.30 KB, text/plain)
2024-04-16 07:05 UTC, Denys Konovalov
no flags Details
File: core_backtrace (84.94 KB, text/plain)
2024-04-16 07:05 UTC, Denys Konovalov
no flags Details
File: exploitable (101 bytes, text/plain)
2024-04-16 07:05 UTC, Denys Konovalov
no flags Details
File: var_log_messages (147 bytes, text/plain)
2024-04-16 07:05 UTC, Denys Konovalov
no flags Details
File: backtrace (227.17 KB, text/plain)
2024-04-16 07:05 UTC, Denys Konovalov
no flags Details

Description Denys Konovalov 2024-04-16 07:05:18 UTC
Version-Release number of selected component:
gnome-shell-46.0-1.fc40

Additional info:
reporter:       libreport-2.17.15
type:           CCpp
reason:         gnome-shell killed by SIGSEGV
journald_cursor: s=81b443df4193480d9ce06116675b4360;i=3c662b;b=50a1a76981da4ce893611cc5ee751c3b;m=100e2c05;t=6152e560a0b3a;x=66255cf3e412db0a
executable:     /usr/bin/gnome-shell
cmdline:        /usr/bin/gnome-shell
cgroup:         0::/user.slice/user-1000.slice/user/session.slice/org.gnome.Shell
rootdir:        /
uid:            1000
kernel:         6.8.2-300.fc40.x86_64
package:        gnome-shell-46.0-1.fc40
runlevel:       N 5
dso_list:       /usr/bin/gnome-shell gnome-shell-46.0-1.fc40.x86_64 (Fedora Project) 1711719786
backtrace_rating: 4
crash_function: wl_map_lookup_flags

Truncated backtrace:
Thread no. 1 (43 frames)
 #0 wl_map_lookup_flags at ../src/wayland-util.c:397
 #1 resource_is_deprecated at ../src/wayland-server.c:714
 #2 wl_resource_add_destroy_listener at ../src/wayland-server.c:842
 #3 meta_wayland_tablet_tool_set_focus at ../src/wayland/meta-wayland-tablet-tool.c:343
 #4 meta_wayland_tablet_tool_focus_surface at ../src/wayland/meta-wayland-tablet-tool.c:1004
 #5 meta_wayland_tablet_seat_focus_surface at ../src/wayland/meta-wayland-tablet-seat.c:641
 #6 default_focus at ../src/wayland/meta-wayland-seat.c:235
 #7 meta_wayland_event_handler_handle_event at ../src/wayland/meta-wayland-input.c:198
 #8 meta_wayland_input_handle_event at ../src/wayland/meta-wayland-input.c:376
 #9 meta_wayland_seat_handle_event at ../src/wayland/meta-wayland-seat.c:667
 #10 meta_wayland_compositor_handle_event at ../src/wayland/meta-wayland.c:540
 #11 meta_display_handle_event at ../src/core/events.c:464
 #12 event_callback at ../src/core/events.c:486
 #13 _clutter_event_process_filters at ../clutter/clutter/clutter-event.c:1302
 #14 clutter_stage_update_device at ../clutter/clutter/clutter-stage.c:3493
 #15 clutter_stage_pick_and_update_device.isra.0 at ../clutter/clutter/clutter-stage.c:3611
 #16 update_device_for_event at ../clutter/clutter/clutter-main.c:451
 #17 clutter_stage_handle_event at ../clutter/clutter/clutter-main.c:541
 #18 dispatch_clutter_event at ../src/backends/meta-backend.c:1133
 #19 clutter_source_dispatch at ../src/backends/meta-backend.c:1177
 #21 g_main_context_dispatch_unlocked at ../glib/gmain.c:4152
 #22 g_main_context_iterate_unlocked.isra.0 at ../glib/gmain.c:4217
 #24 meta_context_run_main_loop at ../src/core/meta-context.c:523
 #25 ffi_call_unix64 at ../src/x86/unix64.S:104
 #26 ffi_call_int at ../src/x86/ffi64.c:673
 #27 ffi_call at ../src/x86/ffi64.c:710
 #28 Gjs::Function::invoke at ../gi/function.cpp:1056
 #29 Gjs::Function::call at ../gi/function.cpp:1238
 #30 CallJSNative at /usr/src/debug/mozjs115-115.7.0-1.fc40.x86_64/vm/Interpreter.cpp:486
 #31 js::InternalCallOrConstruct at /usr/src/debug/mozjs115-115.7.0-1.fc40.x86_64/vm/Interpreter.cpp:566
 #32 InternalCall at /usr/src/debug/mozjs115-115.7.0-1.fc40.x86_64/vm/Interpreter.cpp:647
 #33 js::CallFromStack at /usr/src/debug/mozjs115-115.7.0-1.fc40.x86_64/vm/Interpreter.cpp:652
 #34 js::Interpret at /usr/src/debug/mozjs115-115.7.0-1.fc40.x86_64/vm/Interpreter.cpp:3395
 #35 MaybeEnterInterpreterTrampoline at /usr/src/debug/mozjs115-115.7.0-1.fc40.x86_64/vm/Interpreter.cpp:400
 #36 js::RunScript at /usr/src/debug/mozjs115-115.7.0-1.fc40.x86_64/vm/Interpreter.cpp:458
 #37 js::InternalCallOrConstruct at /usr/src/debug/mozjs115-115.7.0-1.fc40.x86_64/vm/Interpreter.cpp:612
 #38 InternalCall at /usr/src/debug/mozjs115-115.7.0-1.fc40.x86_64/vm/Interpreter.cpp:647
 #39 js::Call at /usr/src/debug/mozjs115-115.7.0-1.fc40.x86_64/vm/Interpreter.cpp:679
 #40 JS::Call at /usr/src/debug/mozjs115-115.7.0-1.fc40.x86_64/vm/CallAndConstruct.cpp:117
 #42 GjsContextPrivate::run_main_loop_hook at ../gjs/context.cpp:1491
 #43 GjsContextPrivate::eval_module at ../gjs/context.cpp:1608
 #44 gjs_context_eval_module at ../gjs/context.cpp:1387
 #45 gjs_context_eval_module_file at ../gjs/context.cpp:1692

Comment 1 Denys Konovalov 2024-04-16 07:05:22 UTC
Created attachment 2027152 [details]
File: proc_pid_status

Comment 2 Denys Konovalov 2024-04-16 07:05:23 UTC
Created attachment 2027153 [details]
File: maps

Comment 3 Denys Konovalov 2024-04-16 07:05:25 UTC
Created attachment 2027154 [details]
File: limits

Comment 4 Denys Konovalov 2024-04-16 07:05:27 UTC
Created attachment 2027155 [details]
File: environ

Comment 5 Fedora Admin user for bugzilla script actions 2024-04-16 07:05:28 UTC
This component is maintained by the GNOME project. Issues with it should be reported directly to GNOME at https://gitlab.gnome.org/GNOME/.

This issue should only be kept open if it:

1. Relates to Fedora packaging or integration with other Fedora components
2. Is required for Fedora release processes, such as blocker bugs and freeze exceptions

If this issue isn't needed for either of these two reasons, please:

 * create an issue with GNOME
 * add a link to the GNOME issue here
 * close this issue as CLOSED/UPSTREAM

Thank you!

Comment 6 Denys Konovalov 2024-04-16 07:05:28 UTC
Created attachment 2027156 [details]
File: open_fds

Comment 7 Denys Konovalov 2024-04-16 07:05:31 UTC
Created attachment 2027157 [details]
File: mountinfo

Comment 8 Denys Konovalov 2024-04-16 07:05:32 UTC
Created attachment 2027158 [details]
File: os_info

Comment 9 Denys Konovalov 2024-04-16 07:05:34 UTC
Created attachment 2027159 [details]
File: cpuinfo

Comment 10 Denys Konovalov 2024-04-16 07:05:36 UTC
Created attachment 2027160 [details]
File: core_backtrace

Comment 11 Denys Konovalov 2024-04-16 07:05:37 UTC
Created attachment 2027161 [details]
File: exploitable

Comment 12 Denys Konovalov 2024-04-16 07:05:39 UTC
Created attachment 2027162 [details]
File: var_log_messages

Comment 13 Denys Konovalov 2024-04-16 07:05:41 UTC
Created attachment 2027163 [details]
File: backtrace

Comment 14 doomsdayrs 2024-04-25 13:01:58 UTC
Using RNote with pen


reporter:       libreport-2.17.15
type:           CCpp
reason:         gnome-shell killed by SIGSEGV
journald_cursor: s=19913670f98b400ab2cc0e1abaefe72b;i=58a04e;b=ae1cad25aaec4a89aacc4bb0421f08ce;m=2dc51589;t=616ea2c5b8ad1;x=9d517abbb24e9df7
executable:     /usr/bin/gnome-shell
cmdline:        /usr/bin/gnome-shell
cgroup:         0::/user.slice/user-1001.slice/user/session.slice/org.gnome.Shell
rootdir:        /
uid:            1001
kernel:         6.8.7-300.fc40.x86_64
package:        gnome-shell-46.1-1.fc40
runlevel:       N 5
dso_list:       /usr/bin/gnome-shell gnome-shell-46.1-1.fc40.x86_64 (Fedora Project) 1713980044
comment:        Using RNote with pen
backtrace_rating: 4
crash_function: wl_map_lookup_flags

Comment 15 fedora 2024-04-29 16:37:23 UTC
Same issue here: gnome-shell crashes while using a pen as input method. The issue is Fedora specific and not necessarily related to a Gnome issue. Having the same issues while testing on another tablet with Fedora installed, so not device specific. But I have no such issues on the same device in Gnome sessions using another distro (tested Ubuntu and Debian). Please support.


Note You need to log in before you can comment on or make changes to this bug.